--- title: "Get Syslog Configuration" slug: "get-syslog-configuration-1" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:00Z published: 2026-09-23T09:38:00Z canonical: "docs.trellix.com/get-syslog-configuration-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Syslog Configuration This URL gets the syslog configuration for faults notification. ## Resource URL GET /domain//notification/faults/syslog ## Request Parameters URL Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domain_id | Domain id | Number | Yes | ## Response Parameters Details of SyslogNotification: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | enableSyslog | Enable syslog notification | Boolean | Yes | | parentAndChildDomain | Parent and child domain | Boolean | Yes | | serverIp | Server IP address | String | Yes | | serverPort | Server port | Number | Yes | | facilities | Facilities | String | No | | severity | Severity mapping | Object | No | | forwrdResults | Forward results | String | No | | Message | Message | String | No | Details of severity mapping: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | inforamtionTo | Information mapping | String | No | | warningTo | Warning mapping | String | No | | errorTo | Error mapping | String | No | | criticalTo | Critical mapping | String | No | ## Example **Request** GET [https:///sdkapi/domain/0/notification/faults/syslog](https://%3CNSM_IP%3E/sdkapi/domain/0/notification/faults/syslog) **Response** ``` { [   "enableSyslog": true,   "parentAndChildDomain": true,   "serverIp": "1.1.1.2",   "serverPort": 515,   "facilities": "CLOCK_DAEMON_NOTE_2",   "severityMapping":   {       "informationTo": "EMERGENCY_SYSTEM_UNUSABLE",       "errorTo": "EMERGENCY_SYSTEM_UNUSABLE",       "warningTO": "EMERGENCY_SYSTEM_UNUSABLE",       "criticalTo": "EMERGENCY_SYSTEM_UNUSABLE"   },   "forwrdResults": "INFORMATIONAL_AND_ABOVE",   "message": "$IV_ACK_INFORMATION$ $IV_ADMIN_DOMAIN$ $IV_DESCRIPTION$"       ] } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |